Debian Bug report logs - #702042
ITP: mccabe -- a Python code complexity checker

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Chris Johnston <chrisjohnston@ubuntu.com>

Date: Sat, 2 Mar 2013 04:57:01 UTC

Owned by: Chris Johnston <chrisjohnston@ubuntu.com>

Severity: wishlist

Fixed in version python-mccabe/0.2-1

Done: Chris Johnston <chrisjohnston@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#702042; Package wnpp. (Sat, 02 Mar 2013 04:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Johnston <chrisjohnston@ubuntu.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org.

Your message had a Version: pseudo-header with an invalid package version:

0.2; reported 2013-03-01

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Sat, 02 Mar 2013 04:57:03 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Chris Johnston <chrisjohnston@ubuntu.com>
To: submit@bugs.debian.org
Subject: Subject: ITP: mccabe -- is a Python code complexity checker
Date: Fri, 01 Mar 2013 23:52:18 -0500
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Subject: ITP: mccabe -- is a Python code complexity checker
Package: wnpp
Severity: wishlist
Version: 0.2; reported 2013-03-01

* Package Name : python-mccabe
Version : 0.2
Upstream Author : 2013 Florent Xicluna <florent.xicluna@gmail.com>
* URL : https://github.com/florentx/mccabe
* License : Expat
Description : is a Python code complexity checker

This module provides a plugin for the flake8 Python code checker to
run the McCabe code complexity script against Python code.


- -- 
Respectfully,

Chris Johnston
chrisjohnston@ubuntu.com
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iEYEARECAAYFAlExhYIACgkQyDxSNf9BQVyIYQCfZeEhNiEVatiMBiB4ly09Zxbx
fEoAn3hFYdF9mVhdc1ivXH2Oo6F27xpc
=81ru
-----END PGP SIGNATURE-----



Changed Bug title to 'ITP: mccabe -- a Python code complexity checker' from 'Subject: ITP: mccabe -- is a Python code complexity checker' Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Sun, 03 Mar 2013 00:09:07 GMT) Full text and rfc822 format available.

Owner recorded as Chris Johnston <chrisjohnston@ubuntu.com>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Sun, 03 Mar 2013 09:51:02 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 09 Mar 2013 19:06:02 GMT) Full text and rfc822 format available.

Reply sent to Chris Johnston <chrisjohnston@ubuntu.com>:
You have taken responsibility. (Sat, 13 Apr 2013 00:03:32 GMT) Full text and rfc822 format available.

Notification sent to Chris Johnston <chrisjohnston@ubuntu.com>:
Bug acknowledged by developer. (Sat, 13 Apr 2013 00:03:32 GMT) Full text and rfc822 format available.

Message #16 received at 702042-close@bugs.debian.org (full text, mbox):

From: Chris Johnston <chrisjohnston@ubuntu.com>
To: 702042-close@bugs.debian.org
Subject: Bug#702042: fixed in python-mccabe 0.2-1
Date: Sat, 13 Apr 2013 00:00:08 +0000
Source: python-mccabe
Source-Version: 0.2-1

We believe that the bug you reported is fixed in the latest version of
python-mccabe, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 702042@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Chris Johnston <chrisjohnston@ubuntu.com> (supplier of updated python-mccabe package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 01 Mar 2013 22:47:20 -0500
Source: python-mccabe
Binary: python-mccabe python3-mccabe
Architecture: source all
Version: 0.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Chris Johnston <chrisjohnston@ubuntu.com>
Description: 
 python-mccabe - Python code complexity checker (Python 2)
 python3-mccabe - Python code complexity checker (Python 3)
Closes: 702042
Changes: 
 python-mccabe (0.2-1) unstable; urgency=low
 .
   * Initial release (Closes: #702042)
Checksums-Sha1: 
 81b6e3c20934f8391c39af9f44fcfcf29f093c91 2101 python-mccabe_0.2-1.dsc
 ff5593533a687b420d5cd402ab51643d57a0757e 4948 python-mccabe_0.2.orig.tar.gz
 d04bfac414a62090daf8256175b21a4886cd9bd7 2156 python-mccabe_0.2-1.debian.tar.gz
 42c417a2068805c9e8e66b637d2aea3ab4552274 8296 python-mccabe_0.2-1_all.deb
 82c0d0b0b4f1efadf845bf5c873459eb7aceb048 7648 python3-mccabe_0.2-1_all.deb
Checksums-Sha256: 
 eeecaf705f87c64ebe4db38419162f3165902ebf1459b02ff21dcb0e4f40bf5c 2101 python-mccabe_0.2-1.dsc
 e0210235022d05d11b3c4c86e2cb65d5b307ab46ac88882d20ff998fd2ef0ad4 4948 python-mccabe_0.2.orig.tar.gz
 86c651202d060da2a39589b723c972916b3ef99ec4f18dba5b4f9cdb6dc438fe 2156 python-mccabe_0.2-1.debian.tar.gz
 540fc8dc8dccfeed97e1a671ac7347804a98d5089fe61aa16517e49ceec16ea8 8296 python-mccabe_0.2-1_all.deb
 93a7bd6f77202468a06954f379e9f1f7d97d45f1c2d188680d7ef20c0ae276bb 7648 python3-mccabe_0.2-1_all.deb
Files: 
 68756a1c3f35dbdd6491256edf06408a 2101 python optional python-mccabe_0.2-1.dsc
 c1012c7c24081471f45aab864d4e3805 4948 python optional python-mccabe_0.2.orig.tar.gz
 65b2e82135f940d6a7925242a288451d 2156 python optional python-mccabe_0.2-1.debian.tar.gz
 bb454d350b1ac91e34311841ba3febc1 8296 python optional python-mccabe_0.2-1_all.deb
 48c03dbe118daed50c0f1fa9f13f4f9f 7648 python optional python3-mccabe_0.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJROsBoAAoJEHtYWzCAfCqHhswQAJ3Xy940GFp/ts1t3mIIOdSX
LeaztDeGsql0atM4nP9SKYynYXMflfl0KshVVmC4vFwowyd3HyeyQ6ogCNP6/SOj
CK0607bGJ2TxfnzKjdfGkgDDCHb0PxNEym6+nD2YLgZjVP3JHlJl/TxglnO0OeOE
ZM8F0DC1WTk/nFVvinOSdL4w/cevGpn6+e7ES0+tRf8tugB1I34rGRig4W0+DN2n
1hhueH1ZfL8J+sHcT4eaQfsMCKdytjgTs4F9g/4mEFGfNGVS5Mq8Tzfc4KhaZ4Fp
GaR5iqdEIeUZdy/oMqbZjmLWusaL6BH9RhwSfjUTRJ4qcodTkXfoGTDZDeho1aBr
8snca5O7w4McyG0JWK3SQVaXHzQKK6BP5WxlgqIX2WFhkKOIXjbeicixArXHxcZ3
+Us7w/lVfMYjnEMeVsOhfUbrgX3CQSsbDtm0+rWWr00XnhUKze7uV5QZu/3V82n9
vY6sxEWn9z2WotERuXNrL3KadxmgwRGDqgqMgrdM3BvuoxByAGh+cGT37QzEs7Dd
KkHSB6OD40S17Y7gR4ddT0hHevZr1wGZyZQViXjTh56jgjndjJqiA9INUZVAvPkz
Ujn+u5BPWo+e+QSoup50yO7NpOAowpLsvK0CcZy6ePVZNI3h6rd0zLusYR6Nhr5u
Cehy3hJ8CKefYKAcjf4s
=Y5v7
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 May 2013 07:31:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:56:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.